from .screenObj import Screen
from .dbfunc import *

class Cinema(object):
    """_summary_
    Cinema object is an abstraction of the data stored in the db.
    it represents the data of one cinema location.
    Args:
        object (_type_): _description_
    """
    def __init__(self, id:int=0) -> None:
        self.cinema_id = id
        self.listings = []
        self.screens = []
    
    def create_screen(self):
        obj_screen = Screen(capacity=0, sizeH=19,sizeW=16,resolutionH=1080,resolutionW=1920,isIMAX=False)
        # add screen to db
    
    def update_screen(self, screen:Screen, size, resolution, capacity) -> None:
        screen.set_capacity(capacity)
        screen.set_screen_resolution(resolution)
        screen.set_screen_size(size)
    
    def get_listings(self):
        # return listing if dict/jason format?
        pass

    def addListing(self, movieID):
        # get movie details via movieId
        # append list with movie ID and more details to be showen in listing, eg; name, description, picture path.
        pass
    
    def updateListing(self):
        # need specify what is to be updated, eg; showing time?
        pass
    
    def removeListing(self):
        # do we need this? need to test if can use cinema.listings.remove()
        pass



if __name__ == "__main__":
    # testing
    test = Cinema()
    print(test)